Name:           perl-PAR-Packer
Version:        1.063
Release:        1%{?dist}
Summary:        PAR Packager
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/PAR-Packer/
Source0:        http://www.cpan.org/authors/id/R/RS/RSCHUPP/PAR-Packer-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl >= 0:5.008009
BuildRequires:  perl(Archive::Zip) >= 1.02
BuildRequires:  perl(Compress::Zlib) >= 1.30
BuildRequires:  perl(Digest)
BuildRequires:  perl(Digest::SHA) >= 5.40
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Temp) >= 0.05
BuildRequires:  perl(Getopt::ArgvFile) >= 1.07
BuildRequires:  perl(IO::Compress::Gzip)
BuildRequires:  perl(IPC::Run3) >= 0.048
BuildRequires:  perl(Module::ScanDeps) >= 1.21
BuildRequires:  perl(Module::Signature)
BuildRequires:  perl(PAR) >= 1.020
BuildRequires:  perl(PAR::Dist) >= 0.22
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Text::ParseWords)
BuildRequires:  perl(Tk)
BuildRequires:  perl(Tk::ColoredButton)
BuildRequires:  perl(Tk::EntryCheck)
BuildRequires:  perl(Tk::Getopt)
Requires:       perl(Archive::Zip) >= 1.02
Requires:       perl(Compress::Zlib) >= 1.30
Requires:       perl(Digest)
Requires:       perl(Digest::SHA) >= 5.40
Requires:       perl(File::Temp) >= 0.05
Requires:       perl(Getopt::ArgvFile) >= 1.07
Requires:       perl(IO::Compress::Gzip)
Requires:       perl(Module::ScanDeps) >= 1.21
Requires:       perl(Module::Signature)
Requires:       perl(PAR) >= 1.020
Requires:       perl(PAR::Dist) >= 0.22
Requires:       perl(Text::ParseWords)
Requires:       perl(Tk)
Requires:       perl(Tk::ColoredButton)
Requires:       perl(Tk::EntryCheck)
Requires:       perl(Tk::Getopt)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module implements the App::Packer::Backend interface, for generating
stand-alone executables, perl scripts and PAR files.

%prep
%setup -q -n PAR-Packer-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS Changes cpanfile LICENSE META.json README
%{perl_vendorlib}/pp.pm
%{perl_vendorlib}/App/
%{perl_vendorlib}/PAR/
%{_mandir}/man3/*
%{_mandir}/man1/*
%{_bindir}/par.pl
%{_bindir}/tkpp
%{_bindir}/parl
%{_bindir}/parldyn
%{_bindir}/pp

%changelog
* Wed Jun 18 2025 Michael Stauber <mstauber@blueonyx.it> 1.063-1
- Specfile autogenerated by cpanspec 1.78.
